Discombobulate Problem............Help!

This script has been included in Blender for a while, never have been able to use it! Always get this error=

Compiled with Python version 2.4.
Checking for installed Python… got it!
Traceback (most recent call last):
File “<string>”, line 1579, in bevent
File “<string>”, line 607, in discombobulate
AttributeError: ‘module’ object has no attribute ‘settings’

Paths are set, have not found another script that gives this error. Different settings have no effect. Any suggestions?

Thanks.

weird… I can’t seem to reproduce that error. My first thought was that there was no defaultdoodads.py file accessible, but that produces a different error message. Try running on a different computer/os or version of blender to see if you can reproduce it on other machines. Also, you could try loading both discombobulator.py and defaultdoodads.py into the text window and running the discombobulator.py from there (alt+p) to see if it really can’t get the defaultdoodads.py